# workarea.h File Reference

Template Header. More...

`#include <list>`
`#include <map>`
`#include <set>`
`#include <ETL/smart_ptr>`
`#include <ETL/handle>`
`#include <gtkmm/drawingarea.h>`
`#include <gtkmm/table.h>`
`#include <gtkmm/adjustment.h>`
`#include <gtkmm/ruler.h>`
`#include <gtkmm/image.h>`
`#include <gdkmm/pixbuf.h>`
`#include <gdkmm/cursor.h>`
`#include <gdkmm/device.h>`
`#include <synfig/time.h>`
`#include <synfig/vector.h>`
`#include <synfig/general.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/canvas.h>`
`#include "zoomdial.h"`
`#include "duckmatic.h"`
`#include "instance.h"`

Go to the source code of this file.

## Namespaces

namespace | synfigapp
namespace | synfig
namespace | Gtk
namespace | studio

## Classes

class | studio::DirtyTrap
class | studio::WorkArea

## Detailed Description

Template Header.

$Id$